# $Id$
# Authority: lsn
# Upstream: 

%define myname		LandShark BuildSys
%define myemail		<BuildSys[AT]LandShark.Net>
%define distro		CentOS 4

Name		: tcptty
Version		: 1.0.0
Release		: 3.el4.lsn

License		: GPL
Summary		: Great for PPP over TCP.
Group		: Applications/Development

URL		: http://www.copera.com/tcptty
Vendor		: LandShark Networks
Distribution	: %distro
Packager	: %{myname} %{myemail}

BuildRoot	: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source		: %{name}-%{version}.tar.gz

Buildarch	: i386

%description
TCPtty connects two programs via a TCP socket when they would normally
use a tty.

%prep
%setup -q

%build
%{__rm} -rf %{buildroot}
LDFLAGS="-s"
export CFLAGS LDFLAGS
./configure --prefix=/usr --disable-nls --mandir=%{_mandir} 
                         # Remove --disable-nls, add --without-included-gettext
                         # for internationalization. Also look below.
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
make install prefix=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT%{_mandir}/man1

cd $RPM_BUILD_ROOT%{_mandir}/man1


%clean
%{__rm} -rf %{buildroot}

%files
%defattr (644, root, root, 755)
%doc README NEWS NOTES FAQ COPYING FEATURES contrib
%doc tcptty-features.html tcptty-FAQ.html design-notes.html
%attr(644, root, man) %{_mandir}/man1/*.1*
%attr(755, root, root) /usr/bin/tcptty
# Uncomment the following to support internationalization
# %attr(644,root,root) /usr/share/locale/*/LC_MESSAGES/tcptty.mo
# Uncomment the following to make split tcptty and tcpttyconf packages

%changelog
* Sun Jan 22 2006 LandShark BuildSys <BuildSys[AT]LandShark.Net>
- Initial CentOS 4 build.
